# certified-kubernetes-administrator-course-answers
Practice question answers for Certified Kubernetes Administrator course

This repository contains answers for the practice tests hosted on the course [Certified Kubernetes Administrators Course](https://kodekloud.com/p/certified-kubernetes-administrator-with-practice-tests)

| Section                          | Test                               |
|----------------------------------|------------------------------------|
| Core Concepts                    | Practice Test Introduction         |
| Core Concepts                    | ReplicaSets                        |
| Core Concepts                    | Deployments                        |
| Core Concepts                    | Namespaces                         |
| Core Concepts                    | Services Cluster IP                |
| Scheduling                       | Manual Scheduling                  |
| Scheduling                       | Labels and Selectors               |
| Scheduling                       | Resource Limits                    |
| Scheduling                       | DaemonSets                         |
| Scheduling                       | Multiple Schedulers                |
| Logging & Monitoring             | Monitor Cluster Components         |
| Logging & Monitoring             | Managing Application Logs          |
| Application Lifecycle Management | Rolling Updates and Rollbacks      |
| Application Lifecycle Management | Commands and Arguments             |
| Application Lifecycle Management | ConfigMaps                         |
| Application Lifecycle Management | Secrets                            |
| Application Lifecycle Management | Liveness Probes                    |
| Cluster Maintenance              | OS Upgrades                        |
| Cluster Maintenance              | Cluster Upgrade Process            |
| Cluster Maintenance              | [Backup ETCD](/cluster-maintenance-backup-etcd)         |
| Security                         | View Certificate Details           |
| Security                         | Certificates API                   |
| Security                         | KubeConfig                         |
| Security                         | Role Based Access Controls         |
| Security                         | Cluster Roles                      |
| Security                         | Image Security                     |
| Security                         | Security Contexts                  |
| Security                         | Network Policies                   |
| Storage                          | Persistent Volume Claims           |
| Networking                       | CNI in kubernetes                  |
| Networking                       | CNI weave                          |
| Networking                       | CNI Weave  Read                    |
| Networking                       | CNI Deploy Weave                   |
| Networking                       | Service Networking                 |
| Networking                       | CoreDNS in Kubernetes              |
| Install                          | Bootstrap worker node              |
| Install                          | Bootstrap worker node - 2          |
| Install                          | End to End Tests - Run and Analyze |
| Troubleshooting                  | Application Failure                |
| Troubleshooting                  | Control Plane Failure              |
| Troubleshooting                  | Worker Node Failure                |


# Contributing Guide

1. The folder structure for all topics and associated practice tests are created already. Use the same pattern to create one if it doesn't exist.
2. Create a file with your answers. If you have a different answer than the one that is already there, create a new answer file with yoru name in it.
4. Do not post the entire question. Only post the question number.
3. Send in a pull request